/**
 * 预定义的表格列类型
 * @readonly
 * @enum {string|object}
 */
const TableColumnTypes = {
  /** 日期时间，自动格式化处理 */
  dateTime: 'sdDateTimeFormat',
  date: 'sdDateFormat',
  time: 'sdTimeFormat',
  /** 显示为对勾图标 */
  iconCheck: 'iconCheck',
  /** 显示为红绿灯+启用文字 */
  statusBadge: 'statusBadge',
  /** 已废弃，请使用TableColumnTypes.ex */
  oa: {
    /** 显示为切换开关，点击后自动保存文档 */
    switch: 'switch',
  },
  /** sd-data-table-ex特有的类型 */
  ex: {
    /** 显示为切换开关，点击后自动保存文档 */
    switch: 'switch',
  },
}

export default TableColumnTypes
