// 自动生成的文件，请勿修改
import asyncComponent from '@/common/services/async-component'
import routerService from '@/common/services/router-service'
import flowService from '@/webflow/flow-service'
// 知识库
routerService.route('/sd-frame').child('km-knowledage-base', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base" */ './km-knowledage-base.vue')
  ),
})
// 知识库---知识查看
routerService.routeInFrame('km-knowledage-view', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base" */ './km-knowledage-view.vue')
  ),
})
// 原子知识
routerService.routeInFrame('km-atom-knowledage', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base" */ './km-atom-knowledage')
  ),
})
// 知识库 --- 知识投稿
flowService.addFlowForm(
  'vue:knowledge/contribution/kmKnowledge',
  asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base-form" */ './km-knowledage-form.vue')
  )
)
// 知识借阅
flowService.addFlowForm(
  'vue:knowledge/kmborrow/kmBorrow',
  asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base-form" */ './km-knowledge-borrow.vue')
  )
)
// 知识推荐
flowService.addFlowForm(
  'vue:knowledge/kmRecommend/KmRecommend',
  asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base-form" */ './km-knowledge-recommend.vue')
  )
)

routerService.route('/km-flow-guide', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-km-knowledge-base" */ '../../components/km-flow-guide.vue')
  ),
})
