// 自动生成的文件，请勿修改
import flowService from '@/webflow/flow-service'
import routerService from '@/common/services/router-service'
import './css/iam-audit-custom.scss'
import asyncComponent from '@/common/services/async-component'

// 审计资源-审计机构库列表
routerService.routeInFrame('iam-audit-auditsource-org-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './org/iam-audit-auditsource-org-list.vue')
  ),
})
// 审计资源-审计机构库表单
routerService.routeInFrame('iam-audit-auditsource-org-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './org/iam-audit-auditsource-org-form.vue')
  ),
})

// 审计资源-法律法规库
routerService.routeInFrame('iam-audit-auditsource-law-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './law/iam-audit-auditsource-law-list.vue')
  ),
})
// 审计资源-法律法规库
routerService.routeInFrame('iam-audit-auditsource-law-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './law/iam-audit-auditsource-law-form.vue')
  ),
})
// 审计资源-法律法规分类
routerService.routeInFrame('iam-audit-auditsource-lawcategory-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './law/iam-audit-auditsource-lawcategory-form.vue')
  ),
})

// 审计资源-内部制度规库
routerService.routeInFrame('iam-audit-auditsource-institution-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './institution/iam-audit-auditsource-institution-list.vue')
  ),
})
// 审计资源-内部制度规库
routerService.routeInFrame('iam-audit-auditsource-institution-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './institution/iam-audit-auditsource-institution-form.vue')
  ),
})

// 审计资源-内部制度规分类
routerService.routeInFrame('iam-audit-auditsource-institutioncategory-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './institution/iam-audit-auditsource-institutioncategory-form.vue')
  ),
})

// 审计资源-法规制度查询
routerService.routeInFrame('iam-audit-auditsource-lawinstitutionquery-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './lawinstutionquery/iam-audit-auditsource-lawinstitutionquery-list.vue')
  ),
})
// 新增导航
// 审计资源-法律法规库
routerService.routeInFrame('iam-ic-auditsource-law-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './law/iam-audit-auditsource-law-list.vue')
  ),
})
// 审计资源-内部制度规库
routerService.routeInFrame('iam-ic-auditsource-institution-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './institution/iam-audit-auditsource-institution-list.vue')
  ),
})
// 审计资源-法规制度查询
routerService.routeInFrame('iam-ic-auditsource-lawinstitutionquery-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './lawinstutionquery/iam-audit-auditsource-lawinstitutionquery-list.vue')
  ),
})
// excel导入
routerService.routeInFrame('audit-excelconfig-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './excelconfig/audit-excelconfig-list.vue')
  ),
})

// tree组件配置
routerService.routeInFrame('iam-audit-treeconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './treeconfig/iam-audit-treeconfig.vue')
  ),
})

// treelist组件配置
routerService.routeInFrame('iam-audit-treelistconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './treelistconfig/iam-audit-treelistconfig.vue')
  ),
})

// 通用选择组件配置
routerService.routeInFrame('iam-audit-chooseconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './chooseconfig/iam-audit-chooseconfig.vue')
  ),
})

// 通用excel导入组件配置
routerService.routeInFrame('iam-audit-chooseconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './chooseconfig/iam-audit-chooseconfig.vue')
  ),
})

routerService.routeInFrame('iam-audit-excelexportconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './excelexportconfig/iam-audit-excelexportconfig.vue')
  ),
})

// 模块配置
routerService.routeInFrame('iam-audit-moduleconfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './moduleconfig/iam-audit-moduleconfig.vue')
  ),
})

// 分级授权
routerService.routeInFrame('permissionConfig', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './permission/permission-config.vue')
  ),
})

// 全文检索
routerService.route('/oa-full-search', {
  name: 'fullSearch',
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './fullsearch/oa-full-search.vue')
  ),
})

routerService.route('/sd-frame').child('oa-search-source', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './search-source-config/oa-search-source.vue')
  ),
})

// 帆软报表文件配置页面
routerService.routeInFrame('iam-finereport-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './finereport/iam-dm-finereport-form.vue')
  ),
})
routerService.routeInFrame('iam-finereport-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './finereport/iam-dm-finereport-list.vue')
  ),
})

// 跳转帆软报表
routerService.routeInFrame('iam-finereport-link', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-core" */ './finereport/iam-dm-finereport-link.vue')
  ),
})
console.warn('路由 audit-excelconfig-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 oa-full-search 不符合命名规则，应该以 iam 开头')
console.warn('路由 oa-search-source 不符合命名规则，应该以 iam 开头')