import sdFormItemMixin from './sd-form-item-mixin'
const sdFormItemTdMixin = {
  mixins: [sdFormItemMixin],
  props: {
    /**
     * 第一个 td 标签的属性
     */
    labelTdAttrs: {
      type: Object,
      default: undefined,
    },
    /**
     * 第二个 td 标签的属性
     */
    inputTdAttrs: {
      type: Object,
      default: undefined,
    },
    /**
     * 字段隐藏时，保留单元格边框
     * @since 8.1.0.27
     */
    keepHiddenCell: {
      type: Boolean,
      default: false,
    },
  },
}
export default sdFormItemTdMixin
