// 自动生成的文件，请勿修改
import routerService from '@/common/services/router-service'
import flowService from '@/webflow/flow-service'
import asyncComponent from '@/common/services/async-component'

// 风险准则表单
routerService.routeInFrame('risk-criteria-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './riskCriteria/risk-criteria-form.vue')
  ),
})

// 风险准则列表
routerService.routeInFrame('risk-criteria-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './riskCriteria/risk-criteria-list.vue')
  ),
})

// 风险-风险措施列表
routerService.routeInFrame('risk-event-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/event/risk-event-list.vue')
  ),
})

// 风险措施表单
routerService.routeInFrame('risk-event-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/event/risk-event-form.vue')
  ),
})

// 风险树分类
routerService.routeInFrame('risk-category-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/category/risk-category-list.vue')
  ),
})

// 内控矩阵版本列表
routerService.routeInFrame('risk-version-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/version/risk-version-list.vue')
  ),
})
// 配置在合规的-风险导航-begin
// 风险-风险措施列表
routerService.routeInFrame('risk-event-list/cpm', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/event/risk-event-list.vue')
  ),
})
// 内控矩阵版本列表
routerService.routeInFrame('risk-version-list/cpm', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './risklib/version/risk-version-list.vue')
  ),
})
// 风险准则列表
routerService.routeInFrame('risk-criteria-list/cpm', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './riskCriteria/risk-criteria-list.vue')
  ),
})
// 配置在合规的-风险导航-end
// 风控任务
flowService.addFlowForm(
  'vue:risk/task/dutie/riskDutie',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './task/risk-tasks-form.vue')
  )
)

//  风控任务列表
routerService.routeInFrame('risk-tasks-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/risk-tasks-list.vue')
  ),
})

// 风险识别
flowService.addFlowForm(
  'vue:risk/task/identify/riskIdentify',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './task/riskIdentification/risk-identification-form.vue')
  )
)
//  风险识别子表新建
routerService.routeInFrame('risk-identification-event-add-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/riskIdentification/components/risk-identification-event-add-form.vue')
  ),
})
//  风险识别子表修改
routerService.routeInFrame('risk-identification-event-update-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/riskIdentification/components/risk-identification-event-update-form.vue')
  ),
})
// 风控任务
routerService.route('/risk-tasks/', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/risk-tasks-work.vue')
  ),
  children: [
    {
      path: 'risk-identification-list',
      components: {
        rightfrm: asyncComponent(() =>
          import('./task/riskIdentification/risk-identification-list.vue')
        ),
      },
    },
    // 风险评估
    {
      path: 'risk-assessment-list',
      components: {
        rightfrm: asyncComponent(() => import('./task/riskassessment/risk-assessment-list.vue')),
      },
    },
    // 风险图谱
    {
      path: 'risk-assessment-map',
      components: {
        rightfrm: asyncComponent(() => import('./task/riskMap/risk-assessment-map.vue')),
      },
    },
    // 风险应对
    {
      path: 'risk-response-list',
      components: {
        rightfrm: asyncComponent(() => import('./task/riskResponse/risk-response-list.vue')),
      },
    },
    // 风险任务报告
    {
      path: 'risk-task-report-list',
      components: {
        rightfrm: asyncComponent(() => import('./task/taskreport/risk-task-report-list.vue')),
      },
    },
    // 评价人员
    {
      path: 'risk-eventuser-list',
      component: asyncComponent(() => import('./task/user/risk-eventuser-list.vue')),
    },
    // 任务概况
    {
      path: 'risk-task-overview',
      component: asyncComponent(() => import('./task/overview/risk-task-overview.vue')),
    },
  ],
})

// 风险任务报告
flowService.addFlowForm(
  'vue:risk/task/taskreport/riskTaskReport',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './task/taskreport/risk-task-report-form.vue')
  )
)

// 任务概况穿透列表
routerService.route('/risk-task-overview-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/overview/risk-task-overview-list.vue')
  ),
})

// 风险图谱穿透列表
routerService.route('/risk-assessment-map-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/riskMap/risk-assessment-map-list.vue')
  ),
})

//  风险识别子表新建
routerService.routeInFrame('risk-task-overview-test', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/overview/risk-task-overview.vue')
  ),
})
//  风险识别子表新建
routerService.routeInFrame('risk-assessment-map-test', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './task/riskMap/risk-assessment-map.vue')
  ),
})
// 风险评估
flowService.addFlowForm(
  'vue:risk/task/assessment/riskAssessment',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './task/riskassessment/risk-assessment-form.vue')
  )
)

// 风险报告列表
routerService.routeInFrame('risk-report-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './report/risk-report-list.vue')
  ),
})
// 风险报告审批单
flowService.addFlowForm(
  'vue:risk/report/riskReport',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './report/risk-report-form.vue')
  )
)

// 风险评估
flowService.addFlowForm(
  'vue:risk/task/response/riskResponse',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './task/riskResponse/risk-response-form.vue')
  )
)

// 风险案例库
routerService.routeInFrame('risk-case-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './riskcase/risk-case-list.vue')
  ),
})
// 风险案例库审批单
flowService.addFlowForm(
  'vue:risk/riskcase/riskCase',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './riskcase/risk-case-form.vue')
  )
)

// 风险损失事件列表
routerService.routeInFrame('risk-loss-event-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './riskLossEvent/risk-loss-event-list.vue')
  ),
})

// 风险损失事件
flowService.addFlowForm(
  'vue:risk/lossEvent/riskLossEvent',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk-form" */ './riskLossEvent/risk-loss-event-form.vue')
  )
)

// 统计
routerService.routeInFrame('risk-loss-event-statistics', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './statistics/risk-loss-event-statistics.vue')
  ),
})

routerService.routeInFrame('risk-loss-event-mxlist', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-risk" */ './statistics/risk-loss-event-list.vue')
  ),
})
console.warn('路由 risk-criteria-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-criteria-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-event-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-event-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-category-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-version-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-tasks-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-identification-event-add-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-identification-event-update-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-task-overview-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-assessment-map-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-task-overview-test 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-assessment-map-test 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-report-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-case-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-loss-event-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-loss-event-statistics 不符合命名规则，应该以 iam 开头')
console.warn('路由 risk-loss-event-mxlist 不符合命名规则，应该以 iam 开头')